{ pkgs, ... }:
let
  palette = pkgs.lib.rice.palette.toRGBHex pkgs.rice.colorPalette;
  font = pkgs.rice.font.normal;
in
{
  services.twmn = {
    enable = true;
    text = {
      color = palette.primary.foreground;
      font = { inherit (font) package size; family = font.name; };
    };
    window = {
      animation.bounce.enable = false;
      color = palette.primary.background;
      height = 32;
      opacity = pkgs.lib.rice.float.round (pkgs.rice.opacity * 100);
      offset = { x = -20; y = 50; };
    };
  };
}
